%{!?with_bootstrap: %define with_bootstrap 0}

Name:          relaxngcc
Version:       1.12
Release:       1
Summary:       RELAX NG Compiler Compiler
Group:         Development/Java
License:       ASL
Url:           http://relaxngcc.sourceforge.net/
Source0:       http://prdownloads.sourceforge.net/relaxngcc/relaxngcc-20031218.zip
Source1:       relaxngcc-build.xml

BuildRequires: ant
BuildRequires: javacc
BuildRequires: jpackage-utils
BuildRequires: msv-msv
BuildRequires: msv-xsdlib
BuildRequires: relaxngDatatype
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
%if !%with_bootstrap
BuildRequires: %{name} = %{version}
%endif

#Requires:      ant
Requires:      msv-msv
Requires:      msv-xsdlib
Requires:      relaxngDatatype
Requires:      xerces-j2
Requires:      xml-commons-apis

BuildArch:     noarch

%description
RelaxNGCC is a tool for generating Java source code from a
given RELAX NG grammar.By embedding code fragments in the
grammar like yacc or JavaCC, you can take appropriate
actions while parsing valid XML documents against the grammar.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
RELAX NG Compiler Compiler.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Documents for %{name}

%description manual
RELAX NG Compiler Compiler.

This package contains documents for %{name}.

%prep
%setup -q -n relaxngcc-20031218

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

cp %{SOURCE1} build.xml

find . -name "*.class" -delete

mkdir lib

pushd lib
  ln -sf $(build-classpath msv-msv) .
  ln -sf $(build-classpath relaxngDatatype) .
  ln -sf $(build-classpath xerces-j2) .
  ln -sf $(build-classpath msv-xsdlib) .
  ln -sf $(build-classpath javacc) .
%if %with_bootstrap
  cp ../relaxngcc.jar.no bootstrap-relaxngcc.jar
%else
  ln -sf $(build-classpath relaxngcc) relaxngcc.jar
%endif
popd

#rm -rf src/relaxngcc/javabody/ParseException.java
rm -rf src/relaxngcc/javabody/SimpleCharStream.java
rm -rf src/relaxngcc/javabody/Token.java
rm -rf src/relaxngcc/javabody/TokenMgrError.java
rm -rf src/relaxngcc/javabody/JavaBodyParser.java
# require common-jelly x maven support
rm -rf src/relaxngcc/maven/ChildAntProjectTag.java

%build

export CLASSPATH=$(build-classpath javacc)

%if %with_bootstrap
  CLASSPATH=$CLASSPATH:$PWD/lib/relaxngcc.jar
%else
  CLASSPATH=$CLASSPATH:$(build-classpath relaxngcc)
%endif
ant -Djavacchome=$PWD/lib jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 relaxngcc.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%doc src/HOWTO-readAutomata.txt LICENSE.txt readme.txt

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}

%files manual
%doc doc/*

